Package org.apache.commons.net

# Class MalformedServerReplyException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.commons.net.MalformedServerReplyException

All Implemented Interfaces:
  `Serializable`

public class MalformedServerReplyException extends IOException
This exception is used to indicate that the reply from a server could not be interpreted. Most of the NetComponents classes attempt to be as lenient as possible when receiving server replies. Many server implementations deviate from IETF protocol specifications, making it necessary to be as flexible as possible. However, there will be certain situations where it is not possible to continue an operation because the server reply could not be interpreted in a meaningful manner. In these cases, a MalformedServerReplyException should be thrown.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MalformedServerReplyException()`
  Constructs a MalformedServerReplyException with no message
  `MalformedServerReplyException(String message)`
  Constructs a MalformedServerReplyException with a specified message.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MalformedServerReplyException

    public MalformedServerReplyException()
    Constructs a MalformedServerReplyException with no message

  - ### MalformedServerReplyException

    public MalformedServerReplyException(String message)
    Constructs a MalformedServerReplyException with a specified message.
    Parameters:
      `message` - The message explaining the reason for the exception.